Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.form
Enum OdfListLinkageType

    java.lang.Object
      java.lang.Enum<OdfListLinkageType>
          org.odftoolkit.odfdom.dom.type.form.OdfListLinkageType

All Implemented Interfaces:
  Serializable, Comparable<OdfListLinkageType>

    public enum OdfListLinkageType

extends Enum<OdfListLinkageType>

DOM implementation of OpenDocument attribute form:list-linkage-type.

Enum Constant Summary
`SELECTION`
`SELECTION_INDEXES`

Method Summary
`static OdfListLinkageType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfListLinkageType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfListLinkageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfListLinkageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SELECTION

    public static final OdfListLinkageType SELECTION

### SELECTION_INDEXES

    public static final OdfListLinkageType SELECTION_INDEXES

Method Detail

### values

    public static OdfListLinkageType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfListLinkageType c : OdfListLinkageType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfListLinkageType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfListLinkageType>`
  Returns:
    return the name of OdfListLinkageType

### toString

    public static String toString(OdfListLinkageType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfListLinkageType, see form:list-linkage-type
  Returns:
    return the name of OdfListLinkageType

### enumValueOf

    public static OdfListLinkageType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfListLinkageType
  Returns:
    return the constant of OdfListLinkageType, see form:list-linkage-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.